# medz/plugs/plugs.py
#
#

""" plugin related commands. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from medz.runtime import kernel, plugs
from medz.utils.name import named
from medz import cfg

## COMMANDS

def plugs_stop(event):
    if not event.parsed.args: return
    plugs.stop(event.parsed.rest)
    event.ok()

kernel.register("plugs.stop", plugs_stop)

def plugs_start(event):
    if not event.parsed.args: return
    cfg = get_cfg(event.args[0])
    if cfg: cfg.save() 
    plugs.init(event.args[0])
    event.ok()

kernel.register("plugs.start", plugs_start)

def plugs_reload(event): 
    if not event.parsed.args: return
    result = plugs.reloading(event.parsed.rest)
    if result: event.ok(named(result))

kernel.register("plugs.reload", plugs_reload)

## HELPERS

def get_cfg(*args, **kwargs):
    try: return getattr(cfg, "cfg_%s" % args[0])
    except AttributeError: pass
