#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run medz with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='medz',
    version='7',
    url='https://pikacode.com/bthate/medz',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description="medicijn effecten registratie programma",
    license='MIT',
    zip_safe=True,
    install_requires=["beautifulsoup4", "sleekxmpp", "feedparser"],
    scripts=["bin/medz", ],
    packages=['medz',
              'medz.bots',
              'medz.core',
              'medz.extra',
              'medz.plugs',
              'medz.service',
              'medz.utils',
             ],
     long_description = """ 

" Je word niet gelooft. "

Dat je jezelf ongemaakt en onveranderd mag eisen en daarna kan bestaan zoals je bent. 
De behandeling verhoogt het risico op schade in plaats van deze te verminderen.
Meten van de zorgvraagweigering toont de noodsituaties.

Positieve symptomen:

 1) Wanen
 2) Hallucinaties
 3) Verward denken
 4) Opgewondenheid

Medicijnen zorgen dat je niet meer waant, hallucineert, denkt, opgewonden bent door je hersens kompleet uit te zetten.

Niet werkende hersens betekent:

Negatieve symptomen:

 1) Weinig emotie
 2) Minder sociale contacten
 3) Gebrek aan initief
 4) Gebrek aan aandacht en concentratie
 5) Weinig gemotiveerd
 6) Weinig energie

Affectieve symptomen:

 1) Depressieve symptomen (angst)
 2) Manische symptomen (druk, vol energie, weinig slaap nodig)

Algemeen lichamelijke klachten/problemen:

 1) Gewichtstoename
 2) Veel speeksel, kwijlen
 3) Een droge mond
 4) Overmatige dorst
 5) Snel moe, weinig energie
 6) Misselijkheid/overgeven
 7) Te weinig of te vaak moeten plassen
 8) Hoofdpijn
 9) Gewichtsverlies
 10) Wazig zien
 11) Seksuele problemen
 12) Menstruatie problemen
 13) Verstopping
 14) Duizeligheid

Mentale klachten/problemen:

 15) Sufheid
 16) Slaperigheid, veel slapen
 17) Moeite met inslapen, andere slaapproblemen
 18) Vergeetachtigheid
 19) Moeite met denken/concentreren
 20) Psychotische verschijnselen: blijven/worden erger
 21) Lusteloosheid
 22) Depressief
 23) Angst

Klachten in bewegingen en spieren:

 24) Rusteloos, kan niet stilzitten
 25) Stijfheid van spieren
 26) Trillen
 27) Traagheid, moeite om te gaan bewegen
 28) Rare bewegingen in/om de mond of anders

""", 
    classifiers=[
        'Development Status :: 4 - Beta',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
